Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.ant
[Java] Class AntTarget

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.ant.AntTarget

    public class AntTarget
    extends ConventionTask

A task which executes an Ant target.

Constructor Summary
`AntTarget()`

Method Summary
`protected void` | `executeAntTarget()`
`File` | `getBaseDir()` Returns the Ant project base directory to use when executing the target.
`String` | `getDescription()` {@inheritDoc}
`org.apache.tools.ant.Target` | `getTarget()` Returns the Ant target to execute.
`void` | `setBaseDir(File baseDir)` Sets the Ant project base directory to use when executing the target.
`void` | `setDescription(String description)` {@inheritDoc}
`void` | `setTarget(org.apache.tools.ant.Target target)` Sets the Ant target to execute.

Constructor Detail

### AntTarget

    public AntTarget()

Method Detail

### executeAntTarget

    @TaskAction
    protected void executeAntTarget()

### getBaseDir

    public File getBaseDir()

  Returns the Ant project base directory to use when executing the target.

### getDescription

    @Override
    public String getDescription()

  {@inheritDoc}

### getTarget

    public org.apache.tools.ant.Target getTarget()

  Returns the Ant target to execute.

### setBaseDir

    public void setBaseDir(File baseDir)

  Sets the Ant project base directory to use when executing the target.

### setDescription

    @Override
    public void setDescription(String description)

  {@inheritDoc}

### setTarget

    public void setTarget(org.apache.tools.ant.Target target)

  Sets the Ant target to execute.

Gradle API 1.10